# Hooks

Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks.

## List hooks

> Retrieves a collection of all hooks for a team with a given ID. Returned hooks are sorted by name in ascending order.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks":{"get":{"tags":["Hooks"],"summary":"List hooks","description":"Retrieves a collection of all hooks for a team with a given ID. Returned hooks are sorted by name in ascending order.","parameters":[{"name":"teamId","in":"query","schema":{"type":"string"},"required":true,"description":"The unique ID of the team whose hooks will be retrieved."},{"name":"typeName","in":"query","schema":{"type":"string"},"description":"The hook type. Two native Make hook types are `gateway-webhook` and `gateway-mailhook`."},{"name":"assigned","in":"query","schema":{"type":"boolean"},"description":"Specifies if the hook is assigned to a scenario. If set to `true`, the request will return only the hooks which the `scenarioId` value is not set to null."},{"name":"viewForScenarioId","in":"query","schema":{"type":"integer"},"description":"This parameter shows only the hooks that can be used by a scenario with a specific ID, which means hooks that are not assigned to another scenario yet and the hook that is already assigned to this scenario. This can be useful because Make allows assigning any hook to only one scenario. If this parameter is set the `assigned` parameter is ignored."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"hooks":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"teamId":{"type":"integer"},"udid":{"type":"string"},"type":{"type":"string"},"packageName":{"type":"string"},"theme":{"type":"string","format":"color"},"flags":{"type":"object","properties":{"form":{"type":"boolean"}}},"editable":{"type":"boolean"},"queueCount":{"type":"integer"},"queueLimit":{"type":"integer"},"enabled":{"type":"boolean"},"gone":{"type":"boolean"},"typeName":{"type":"string"},"data":{"type":"object","additionalProperties":true,"properties":{"headers":{"type":"boolean"},"method":{"type":"boolean"},"stringify":{"type":"boolean"},"teamId":{"type":"integer"},"ip":{"type":"string","format":"ipv6"},"udt":{"type":"integer"}}},"scenarioId":{"type":"integer"},"url":{"type":"string","format":"uri"}}}}}}}}}}}}}}
```

## Create hook

> Creates a new hook with data passed in the request body. In the response, it returns all details of the created hook.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks":{"post":{"tags":["Hooks"],"summary":"Create hook","description":"Creates a new hook with data passed in the request body. In the response, it returns all details of the created hook.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the hook. The name must be at most 128 characters long and does not need to be unique."},"teamId":{"type":"string","description":"The unique ID of the team in which a hook will be created."},"typeName":{"type":"string","description":"The hook type strictly related to the app for which the hook was created."},"method":{"type":"boolean","description":"Set the `method` parameter to `true` to add the HTTP method to the request body."},"headers":{"type":"boolean","description":"Set the `headers` parameter to `true` to add headers to the request body."},"stringify":{"type":"boolean","description":"Set the `stringify` parameter to `true` to return JSON payloads as strings."},"__IMTCONN__":{"type":"integer","description":"The unique ID of the connection that will be included in the created hook."},"formId":{"description":"The unique ID of the form that will be included in the created hook.","type":"string"}},"required":["name","teamId","typeName","method","headers","stringify"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"hook":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"teamId":{"type":"integer"},"udid":{"type":"string"},"type":{"type":"string"},"packageName":{"type":"string"},"theme":{"type":"string","format":"color"},"flags":{"type":"object","properties":{"form":{"type":"boolean"}}},"editable":{"type":"boolean"},"queueCount":{"type":"integer"},"queueLimit":{"type":"integer"},"enabled":{"type":"boolean"},"gone":{"type":"boolean"},"typeName":{"type":"string"},"data":{"type":"object","additionalProperties":true,"properties":{"headers":{"type":"boolean"},"method":{"type":"boolean"},"stringify":{"type":"boolean"},"teamId":{"type":"integer"},"ip":{"type":"string","format":"ipv6"},"udt":{"type":"integer"}}},"scenarioId":{"type":"integer"},"url":{"type":"string","format":"uri"}}},"formula":{"type":"object","properties":{"success":{"type":"array","items":{}}}}}}}}}}}}}}
```

## Get hook details

> Retrieves details of a hook with a given ID including hooks data.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}":{"get":{"tags":["Hooks"],"summary":"Get hook details","description":"Retrieves details of a hook with a given ID including hooks data.","parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"hook":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"teamId":{"type":"integer"},"udid":{"type":"string"},"type":{"type":"string"},"packageName":{"type":"string"},"theme":{"type":"string","format":"color"},"flags":{"type":"object","properties":{"form":{"type":"boolean"}}},"editable":{"type":"boolean"},"queueCount":{"type":"integer"},"queueLimit":{"type":"integer"},"enabled":{"type":"boolean"},"gone":{"type":"boolean"},"typeName":{"type":"string"},"data":{"type":"object","additionalProperties":true,"properties":{"headers":{"type":"boolean"},"method":{"type":"boolean"},"stringify":{"type":"boolean"},"teamId":{"type":"integer"},"ip":{"type":"string","format":"ipv6"},"udt":{"type":"integer"}}},"scenarioId":{"type":"integer"},"url":{"type":"string","format":"uri"}}}}}}}}}}}}}
```

## Delete hook

> Deletes a hook with a given ID and returns the ID in the response.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}":{"delete":{"tags":["Hooks"],"summary":"Delete hook","description":"Deletes a hook with a given ID and returns the ID in the response.","parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."},{"name":"confirmed","in":"query","schema":{"type":"boolean"},"description":"Confirms the deletion if a hook is included in the scenario. Confirmation is required because the scenario will stop working without the hook. If the parameter is missing or it is set to `false` an error code is returned and the resource is not deleted."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"hook":{"type":"integer"}}}}}}}}}}}
```

## Update hook

> Updates a hook with a given ID by passing new values in the request body. Any property that is not provided will be left unchanged. In the response, it returns all details of the updated hook including properties that were not changed.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}":{"patch":{"tags":["Hooks"],"summary":"Update hook","description":"Updates a hook with a given ID by passing new values in the request body. Any property that is not provided will be left unchanged. In the response, it returns all details of the updated hook including properties that were not changed.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the updated hook. The name must be at most 128 characters long and does not need to be unique."}}}}}},"parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"hook":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"teamId":{"type":"integer"},"udid":{"type":"string"},"type":{"type":"string"},"packageName":{"type":"string"},"theme":{"type":"string","format":"color"},"flags":{"type":"object","properties":{"form":{"type":"boolean"}}},"editable":{"type":"boolean"},"queueCount":{"type":"integer"},"queueLimit":{"type":"integer"},"enabled":{"type":"boolean"},"gone":{"type":"boolean"},"typeName":{"type":"string"},"data":{"type":"object","additionalProperties":true,"properties":{"headers":{"type":"boolean"},"method":{"type":"boolean"},"stringify":{"type":"boolean"},"teamId":{"type":"integer"},"ip":{"type":"string","format":"ipv6"},"udt":{"type":"integer"}}},"scenarioId":{"type":"integer"},"url":{"type":"string","format":"uri"}}}}}}}}}}}}}
```

## Ping hook

> Determines if a hook with a given ID is active and retrieves its properties that provide you with the address of the hook and inform if the hook is attached, what is its learning status, and if it was not used for a long time.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}/ping":{"get":{"tags":["Hooks"],"summary":"Ping hook","description":"Determines if a hook with a given ID is active and retrieves its properties that provide you with the address of the hook and inform if the hook is attached, what is its learning status, and if it was not used for a long time.","parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"address":{"type":"string","format":"uri"},"attached":{"type":"boolean"},"learning":{"type":"boolean"},"gone":{"type":"boolean"},"dataStructure":{"nullable":true,"type":"array","description":"List of fields parsed from the last received sample. Null if the payload is not yet determined or if the hook is currently in learning mode.","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"}}}}}}}}}}}}}}
```

## Learn start

> Starts the process of learning the request body structure by a hook with a given ID. When you send to the hook address a request with data in its body, you can use this endpoint to force the hook to start determining the payload data structure which will later be suggested in the scenario as the output of the hook. The data structure learning process also starts automatically when a new hook is created and stops once the data structure is determined. If you want to stop this process, you can use the \[Learn stop]\(./post--hooks--hookid--learn-stop.md) endpoint.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}/learn-start":{"post":{"tags":["Hooks"],"summary":"Learn start","description":"Starts the process of learning the request body structure by a hook with a given ID. When you send to the hook address a request with data in its body, you can use this endpoint to force the hook to start determining the payload data structure which will later be suggested in the scenario as the output of the hook. The data structure learning process also starts automatically when a new hook is created and stops once the data structure is determined. If you want to stop this process, you can use the [Learn stop](./post--hooks--hookid--learn-stop.md) endpoint.","parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"}}}}}}}}}}}
```

## Learn stop

> Stops the process of learning the request body structure by a hook with a given ID. When you send to the hook address a request with data in its body, you can use the \[Learn start]\(./post--hooks--hookid--learn-start.md) endpoint to force the hook to start determining the payload data structure which will later be suggested in the scenario as the output of the hook. The data structure learning process also starts automatically when a new hook is created and stops once the data structure is determined. You can use this endpoint to stop the learning process at any time.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}/learn-stop":{"post":{"tags":["Hooks"],"summary":"Learn stop","description":"Stops the process of learning the request body structure by a hook with a given ID. When you send to the hook address a request with data in its body, you can use the [Learn start](./post--hooks--hookid--learn-start.md) endpoint to force the hook to start determining the payload data structure which will later be suggested in the scenario as the output of the hook. The data structure learning process also starts automatically when a new hook is created and stops once the data structure is determined. You can use this endpoint to stop the learning process at any time.","parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"}}}}}}}}}}}
```

## Enable hook

> Enables a disabled hook with a given ID. Newly created hooks are enabled by default which means they are ready to accept data. In response, this endpoint returns the confirmation that the hook was successfully enabled.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}/enable":{"post":{"tags":["Hooks"],"summary":"Enable hook","description":"Enables a disabled hook with a given ID. Newly created hooks are enabled by default which means they are ready to accept data. In response, this endpoint returns the confirmation that the hook was successfully enabled.","parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"}}}}}}}}}}}
```

## Disable hook

> Disables a hook with a given ID. Newly created hooks are enabled by default which means they are ready to accept data. The disabled hook does not accept any data. This endpoint can be useful when you want to debug the scenario functionality. In response, this endpoint returns the confirmation that the hook was successfully disabled.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}/disable":{"post":{"tags":["Hooks"],"summary":"Disable hook","description":"Disables a hook with a given ID. Newly created hooks are enabled by default which means they are ready to accept data. The disabled hook does not accept any data. This endpoint can be useful when you want to debug the scenario functionality. In response, this endpoint returns the confirmation that the hook was successfully disabled.","parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"}}}}}}}}}}}
```

## Set hook details

> Sets data for a hook with a given ID. Data differ depending on the hook type. It returns the confirmation if the hook data was changed (\`true\`) or not (\`false\`).

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks","description":"Hooks refer to the webhooks and mailhooks available in the various apps in the Make interface. They notify you whenever a certain change occurs in the connected app or service, such as sending an HTTP request or an email. The following endpoints allow you to create and manage hooks."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}/set-data":{"post":{"tags":["Hooks"],"summary":"Set hook details","description":"Sets data for a hook with a given ID. Data differ depending on the hook type. It returns the confirmation if the hook data was changed (`true`) or not (`false`).","requestBody":{"content":{"application/json":{"schema":{"type":"object"}}}},"parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"changed":{"type":"boolean"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/hooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
